<?php
$quote_file = "/tmp/quotes/";
if(isset($_GET["quote"])) {
    if(strpos($_GET["quote"],":")) {
        $quote_file .= parse_url($_GET["quote"].".txt")["path"];
    } else {
        if(strpos($_GET["quote"], "..")) {
            $quote_file .= "shellfish.txt";
        } else {
            $quote_file .= $_GET["quote"].".txt";
        }
    }
} else {
    $quote_file .= "shellfish.txt";
}
if(!file_exists($quote_file)) {
    $quote_file = "/tmp/quotes/shellfish.txt";
}
readfile($quote_file);
